Whats91
Developers

Retrieve one sender-scoped blacklist entry by UID.

Get Blacklist Entry

Summary

Retrieve one sender-scoped blacklist entry by UID.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests

Endpoint: GET /api/v2/message-blacklist/{blacklistUid}. The response includes data.blacklistEntry for the resolved sender.

GET/api/v2/message-blacklist/{blacklistUid}
ParameterTypeRequiredDescription
AuthorizationheaderRequiredBearer w91_public_token_here.
blacklistUidstringRequiredPublic blacklist entry UID, for example bl_abc.
senderIdstringOptionalWhatsApp registered sender number. Required when the token is not bound to one sender.
Get blacklist entry
curl -X GET "https://graph.whats91.com/api/v2/message-blacklist/bl_abc?senderId=916268662275" \
  -H "Authorization: Bearer w91_public_token_here"
Get response
{
  "success": true,
  "message": "Blacklist entry retrieved",
  "data": {
    "blacklistEntry": {
      "blacklistUid": "bl_abc",
      "uid": "bl_abc",
      "senderPhoneNumber": "916268662275",
      "normalizedPhone": "919876543210",
      "displayPhone": "9876543210",
      "source": "MANUAL",
      "reason": "Customer requested opt-out",
      "status": "ACTIVE",
      "deactivatedAt": null
    }
  },
  "metadata": {
    "apiVersion": "v2",
    "requestId": "request-uuid"
  }
}
Not found response
{
  "success": false,
  "message": "Blacklist entry not found",
  "error_code": "BLACKLIST_ENTRY_NOT_FOUND",
  "metadata": {
    "apiVersion": "v2",
    "requestId": "request-uuid"
  }
}

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v2/message-blacklist/{blacklistUid}" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v2/message-blacklist/{blacklistUid}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx",
    "Content-Type": "application/json"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v2/message-blacklist/{blacklistUid}");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx",
    "Content-Type: application/json"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v2/message-blacklist/{blacklistUid}",
    headers={
        "Authorization": "Bearer w91_live_xxx",
        "Content-Type": "application/json",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/message-blacklist/{blacklistUid}");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs